#ifndef LBB_DEVICE2_H
#define LBB_DEVICE2_H
#include "lbb_block_store.h"
#include "lbb_map_tree.h"
#include "lbb_remap.h"
#define STATE_INFO_INIT (0)
#define STATE_INFO_START (1)
#define STATE_INFO_STOP (2)
struct lbb_device
{
int index;
char orig_name[BDEV_NAME_LEN+1];
char save_name[FILE_NAME_LEN+1];
void * abs_data;
size_t abs_size;
struct kobject * kobj;
struct lbb_dev_info * info;
int state;
int state_info;
spin_lock_ptr state_lock;
lbb_remap_dev * rmp_dev;
struct block_device * bdev_orig;
lbb_block_store * store;
lbb_map_tree * skip;
size_t block_size;
size_t block_total;
sector_t sect_beg;
sector_t sect_end;
unsigned char xbs;
};
#endif
