#ifndef LBB_REMAP_H
#define LBB_REMAP_H
#include "lbb_map_tree.h"
typedef struct _lbb_remap_dev lbb_remap_dev;
struct lbb_device;
struct bio_set;
int lbb_remap_init(struct bio_set * bset);
void lbb_remap_destroy(void);
int lbb_remap_check_range(sector_t sect);
lbb_remap_dev * lbb_remap_open_disk(struct block_device * bdev_orig,const char * snap_shot_name,sector_t capacity,lbb_map_tree * skip,unsigned char rl_to_sect,int major,int minor,int * rcod_p);
void lbb_remap_free_disk(lbb_remap_dev * rdev);
unsigned int lbb_remap_get_users(lbb_remap_dev * rdev);
void lbb_remap_set_store(lbb_remap_dev * rdev,void * store);
const char * lbb_remap_disk_name(lbb_remap_dev * rdev);
struct gendisk * lbb_remap_disk_pntr(lbb_remap_dev * rdev);
unsigned int lbb_remap_sys_info(char * buf);
#endif
